Bug 1475038 - When running the config.yml playbook, the play 'openshift_hosted : Attach registry-certificates volume' fails
When running the config.yml playbook, the play 'openshift_hosted : Attach reg...
Status: ASSIGNED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.4.1
Unspecified Unspecified
high Severity medium
: ---
: 3.9.0
Assigned To: Kenny Woodson
Johnny Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 18:33 EDT by emahoney
Modified: 2017-12-04 14:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description emahoney 2017-07-25 18:33:33 EDT
Description of problem:When running the config.yml playbook, the play 'openshift_hosted : Attach registry-certificates volume' fails with the error  below:

'error deploymentconfigs/docker-registry volume mount already exists for the container 'registry''

After discussing this, this play should be skipped rather than error out when the PV already exists. 

Version-Release number of the following components:
openshift-ansible: 3.4.95-1

rpm -q openshift-ansible
rpm -q ansible
ansible --version

How reproducible:
Have not been able to reproduce in-house yet. 

Steps to Reproduce:
1.n/a
2.
3.

Actual results:
'error deploymentconfigs/docker-registry volume mount already exists for the container 'registry''

Expected results:
Play runs without error. 

Additional info:
Comment 1 Brenton Leanhardt 2017-07-26 12:15:02 EDT
Do you know if the uninstall playbook was used prior to hitting this error?
Comment 2 Matthew Whitehead 2017-07-26 19:33:33 EDT
I had the same problem with both a _completely_ fresh OS install and also using the uninstall playbook. I believe I can easily reproduce this.
Comment 3 Matthew Whitehead 2017-08-08 11:34:14 EDT
This is 100% reproducible on my machine. I have done it at least 2 times, I think 3.

I am running openshift-ansible-3.5.60-1.git.0.b6f77a6 suite, plus ansible-2.2.1.0-2.
Comment 5 Matthew Whitehead 2017-08-08 11:54:27 EDT
Another part of this problem relates to the fact that the mount /etc/secrets is being created by the installer. I did not to that previously.
Comment 6 Matthew Whitehead 2017-08-10 14:56:44 EDT
This bug is not present in OpenShift 3.6. Something changed.

Note You need to log in before you can comment on or make changes to this bug.